ReSpeaker, expansion board

J'ai l'occasion de tester 2 type de ReSpeaker.
Une à 4 micro, acheté sur amazon, fabriqué par SEED.
Une à 2 micro, acheté sur Aliexpress.

ReSpeaker 4-Mic Array for Raspberry Pi

Pour résumer

Il faut git.

sudo apt install git

Puis suivre le tuto.

On a déjà fait un upgrade.
git clone https://github.com/respeaker/seeed-voicecard.git
cd seeed-voicecard
sudo ./install.sh
reboot

On sélectionne le jack comme sortie audio :

sudo raspi-config
# Select 7 Advanced Options
# Select A4 Audio
# Select 1 Force 3.5mm ('headphone') jack
# Select Finish

On regarde si ça marche :

pi@raspberrypi:~/seeed-voicecard $ arecord -L
null
   Discard all samples (playback) or generate zero samples (capture)
playback
capture
dmixed
array
ac108
default:CARD=seeed4micvoicec
  seeed-4mic-voicecard,
  Default Audio Device
sysdefault:CARD=seeed4micvoicec
  seeed-4mic-voicecard,
  Default Audio Device
dmix:CARD=seeed4micvoicec,DEV=0
  seeed-4mic-voicecard,
  Direct sample mixing device
dsnoop:CARD=seeed4micvoicec,DEV=0
  seeed-4mic-voicecard,
  Direct sample snooping device
hw:CARD=seeed4micvoicec,DEV=0
  seeed-4mic-voicecard,
  Direct hardware device without any conversions
plughw:CARD=seeed4micvoicec,DEV=0
  seeed-4mic-voicecard,
  Hardware device with all software conversions

Test:
ATTENTION ! La sortie jack du respeaker est à 4 connexions.
J'ai trouvé cet adaptateur : https://fr.aliexpress.com/item/3-5mm-4-P-le-M-le-Femelle-c-ble-d-extension-90-Degr-s-Angle/32970012346.html?spm=a2g0s.9042311.0.0.27426c37cmRKey

arecord -Dac108 -f S32_LE -r 16000 -c 4 hello.wav    // only support 4 channels
aplay hello.wav 

OK ! il me parle :-)

Jouont avec les leds

Dans la doc officiel, aucun préreq4uis est donné. Notamment pour python.
Du coup si on installe le module 4mics_hat, ça ne marche pas.
il faut installer :

sudo apt install python-numpy python-scipy python-matplotlib

ce qui permet de voir les Coherences (Estimate the magnitude squared coherence using Welch’s method)
on va dans seeed-voicecard puis ..

python tools/coherence.py ~/hello.wav

Qui affiche un beau graphique.

Ensuite on suit la doc :

cd
git clone https://github.com/respeaker/4mics_hat.git
cd /home/pi/4mics_hat
sudo apt install python-virtualenv 
virtualenv --system-site-packages ~/env
source ~/env/bin/activate
pip install spidev gpiozero

python pixels_demo.py

Et on a un beau jeu de lumière avec les leds.

Installer le DoA(Direction of Arrial)

Pour suivre la voix, j'ai un pb encore non résolu.
lorsque j'install le package :

sudo apt install libatlas-base-dev

J'ai ces erreurs :

Les paquets suivants contiennent des dépendances non satisfaites :
 libatlas-base-dev : Dépend: libatlas3-base (= 3.10.3-1+rpi1) mais 3.10.3-1-snips devra être installé
E: Impossible de corriger les problèmes, des paquets défectueux sont en mode « garder en l'état ».

Je laisse en standby pour l'instant !

test/respeaker.txt · Dernière modification: 2019/08/13 12:16 (modification externe)
CC Attribution-Share Alike 4.0 International
www.chimeric.de Valid CSS Driven by DokuWiki do yourself a favour and use a real browser - get firefox!! Recent changes RSS feed Valid XHTML 1.0